## owl-cclub 001-1

=== debian/changelog ===
owl-cclub (001-1) unstable; urgency=low

  * first club build.  upstream version 1.2.9-1.1

 -- Aaron Solochek <aarons@aberrant.org>  Wed,  5 Nov 2003 17:19:00 -0500
