=== debian/control ===
Source: owl-cclub
Section: net
Priority: optional
Maintainer: Mark W. Eichin <eichin@thok.org>
Build-Depends: debhelper (>> 3.0.0), libzephyr-dev-cclub, libncurses5-dev, libperl-dev
Standards-Version: 3.5.2

Package: owl-cclub
Architecture: any
Depends: ${shlibs:Depends}, zephyr-client-cclub
Description: A curses-based tty Zephyr client.
 An alternative standalone (doesn't use zwgc) Zephyr (instant
 messaging) client.  Has perl hooks and a curses UI.
 .
 ktools software -- The 'k' is for Quality!
